//
//  RequestTool.m
//  SearchCityDemo
//
//  Created by 阳光 on 16/7/8.
//  Copyright © 2016年 com_qibei. All rights reserved.
//

#import "RequestTool.h"
#import "AFNetworking.h"

@implementation RequestTool

+(instancetype)shareInstance
{
    static RequestTool *requestTool=nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        requestTool=[[RequestTool alloc]init];
    });
    return requestTool;
}

+(void)PostCallBack:(NSString *)url parameter:(NSDictionary *)dic success:(SuccessResult)success failure:(FailureResult)failure
{
    AFHTTPSessionManager *manager=[AFHTTPSessionManager manager];
    manager.responseSerializer=[AFJSONResponseSerializer new];
    manager.responseSerializer.acceptableContentTypes=[NSSet setWithObjects:@"text/html",@"application/json", nil];
    [manager POST:url parameters:dic progress:nil success:^(NSURLSessionDataTask * _Nonnull task, id  _Nullable responseObject) {
        success(responseObject);
    } failure:^(NSURLSessionDataTask * _Nullable task, NSError * _Nonnull error) {
        failure(error);
    }];
}

+(void)GetCallBack:(NSString *)url parameter:(NSDictionary *)dic headerDic:(NSDictionary *)headDic success:(SuccessResult)success failure:(FailureResult)failure
{
    AFHTTPSessionManager *manager=[AFHTTPSessionManager manager];
    manager.responseSerializer=[AFJSONResponseSerializer new];
    manager.responseSerializer.acceptableContentTypes=[NSSet setWithObjects:@"text/html",@"application/json", nil];
    [manager GET:url parameters:dic headers:headDic progress:^(NSProgress * _Nonnull downloadProgress){
    } success:^(NSURLSessionDataTask * _Nonnull task, id  _Nullable responseObject) {
        success(responseObject);
    } failure:^(NSURLSessionDataTask * _Nullable task, NSError * _Nonnull error) {
        failure(error);
    }];

}

@end
