//
//  CityListCell.m
//  SearchCityDemo
//
//  Created by 阳光 on 16/7/8.
//  Copyright © 2016年 com_qibei. All rights reserved.
//

#import "CityListCell.h"

@interface CityListCell ()

@property(nonatomic,strong)UILabel *cityNameLabel;

@end

@implementation CityListCell

-(id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self=[super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        _cityNameLabel=[[UILabel alloc]initWithFrame:CGRectMake(kmargin,0,APPW,textH)];
        _cityNameLabel.font=[UIFont systemFontOfSize:14];
        [self.contentView addSubview:_cityNameLabel];
    }
    return self;
}

-(void)setCityModel:(CityModel *)cityModel
{
    _cityNameLabel.text=cityModel.city_name;
}

- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
